FRAME_COUNT = 13
FRAME_SIZE = (550, 450)
SCREEN_SIZE = (800, 600)

import pygame
from pygame.locals import *

from math import sin, cos

def run():
    
    pygame.init()
    screen = pygame.display.set_mode( (800, 600), FULLSCREEN, 32 )
    
    default_font = pygame.font.get_default_font()
    font = pygame.font.SysFont(default_font, 64, False)
    
    background = pygame.image.load('background.jpg').convert()
    ball = pygame.image.load("ball.png")
    ball.set_colorkey(0)
    logo = pygame.image.load("logo.png").convert_alpha()
    logo_w, logo_h = logo.get_size()
    
    frames = []
    for frame_no in xrange(FRAME_COUNT):
        frame = pygame.surface.Surface(FRAME_SIZE, depth=8)
        frame.set_colorkey(0)
        frames.append(frame)
        
    clock = pygame.time.Clock()
    
    
    screen_surface = pygame.surface.Surface(SCREEN_SIZE).convert()
    screen_surface.blit(background, (0, 0))
    
    frame_no = 0
    sprite_count = 0
    
    w, h = ball.get_size()
    frame_w, frame_h = FRAME_SIZE
    
    effect_w = frame_w - 60
    effect_h = frame_h - 60
        
    t = 0.
    while True:
        
        for event in pygame.event.get():
            if event.type == QUIT:
                return
            if event.type == KEYDOWN:
                return
    
        if frame_no == 0:
            
            font_surface = font.render(str(sprite_count+1) + " sprites", True, (255, 255, 255))
            sprite_count += 1
    
        frame = frames[frame_no]
    
        t += .007
        
        wobble = sin(t*3) * 30. - 40.
        
        x = (sin(t * 1.5434) * effect_w/2) + frame_w/2 - w/2
        y = (cos(t * 1.3563) * effect_h/2) + frame_h/2 - h/2
        frame.blit(ball, (x, y))
        
        frame_x = ( SCREEN_SIZE[0] - FRAME_SIZE[0] ) / 2
        frame_y = ( SCREEN_SIZE[1] - FRAME_SIZE[1] ) / 2 + wobble
        
        screen.blit(background, (0, 0))
        screen.blit(frame, (frame_x, frame_y))
        
        fw, fh = font_surface.get_size()
        screen.blit(font_surface, ((SCREEN_SIZE[0]-fw)/2, 10))
                
        screen.blit(logo, ((SCREEN_SIZE[0] - logo_w)/2, (SCREEN_SIZE[1] - logo_h) / 2))
        
        clock.tick(30)
        pygame.display.update()
    
        frame_no = (frame_no + 1) % FRAME_COUNT
        
    
run()